import { TypeOrmCrudService } from "@nestjsx/crud-typeorm";
import { CentralExchangeMarketHistory } from "./central-exchange-market-history.entity";
import { DeepPartial, DeleteResult, EntityManager, FindOperator, FindOptionsWhere, InsertResult, Repository, UpdateResult } from "typeorm";
export declare class CentralExchangeMarketHistoryService extends TypeOrmCrudService<CentralExchangeMarketHistory> {
    readonly repo: Repository<CentralExchangeMarketHistory>;
    private readonly entity;
    private readonly relations;
    private readonly recursiveRelations;
    constructor(repo: Repository<CentralExchangeMarketHistory>);
    findOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarketHistory>;
    findAllBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<CentralExchangeMarketHistory[]>;
    createOneBy(params: DeepPartial<CentralExchangeMarketHistory>, manager?: EntityManager): Promise<CentralExchangeMarketHistory>;
    createAllBy(params: DeepPartial<CentralExchangeMarketHistory>[], manager?: EntityManager): Promise<CentralExchangeMarketHistory[]>;
    createAllIfNotExistBy(params: DeepPartial<CentralExchangeMarketHistory>[], manager?: EntityManager): Promise<InsertResult>;
    updateOneBy(where: FindOptionsWhere<CentralExchangeMarketHistory>, set: {
        [K in keyof CentralExchangeMarketHistory]?: any;
    }, manager?: EntityManager): Promise<UpdateResult>;
    deleteOneBy(where?: {
        [K in keyof any]?: any[K] | FindOperator<any[K]>;
    }, manager?: EntityManager): Promise<DeleteResult>;
}
